githubEdit

Returns endpoints

Get returns config

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns the current return configuration for the tenant.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Return config found.

application/json

LocalizedReturnConfiguration

get
/api/configurations/return

Create return note

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
localestringOptional

Provide the localized values for the return note. If not provided the default locale is used. For example de_DE.

Body

ReturnNote

qrCodeContentstringOptional
Responses
post
/api/returnnotes

Call item return action

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Applies an action to an Item Return. Check ItemReturnActionsParameters for available actions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

id of the Item Return Job

itemReturnIdstringRequired

id of the Item Return

Body

ItemReturnActionsParameter

or
or
or
or
or
Responses
chevron-right
200

Updated entity

application/json

ItemReturnJob

post
/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/actions

Get return note config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Return note config could be found in response body.

application/json

Return Note Configuration

get
/api/configurations/returnnote

Update return note config

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ReturnNoteConfigurationForUpsert

displayPageLabelbooleanOptional

Determines if the page label should be shown

Default: false
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

The return note configuration was successfully updated.

application/json

Return Note Configuration

put
/api/configurations/returnnote

Get item return

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns a specific item return for a given item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

item return job to read the item return for

itemReturnIdstringRequired

id of the item return you want to read

Query parameters
startAfterIdstringOptional

entity to start after

sizeintegerOptional

number of entities to show

Default: 25
Responses
chevron-right
200

Get a specific item return

application/json

ItemReturn

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobjectOptional

Attributes that can be added to the entity. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

idstringRequired
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
parcelRefsstring[]Optional

references the parcel

Example: 672f3f72-b5d3-47c7-941c-9af5348e3cd7
returnFacilityRefstringRequired
scannableCodesstring[]Optional
statusstring · enumRequired

ItemReturnStatus

Possible values:
tenantOrderIdstringOptional
get
/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}

Update returned line items

put

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Replace returned line items of an item return of an item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

id of the item return job the item return belongs to

itemReturnIdstringRequired

id of the item return the returned line items belong to

Body

ReplaceReturnedLineItems

itemReturnJobVersionintegerRequired

Version of the entity to be changed

Responses
chevron-right
200

The returned line items were successfully updated. Updated item return job is returned.

application/json

ItemReturnJob

put
/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/returnedlineitems

List item returns

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns the item returns for a given item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

item return job to read the item return for

Query parameters
startAfterIdstringOptional

entity to start after

sizeintegerOptional

number of entities to show

Default: 25
Responses
chevron-right
200

Get all item returns for a given item return job

application/json
anyOptional

ItemReturn

get
/api/itemreturnjobs/{itemReturnJobId}/itemreturns

Get item return job

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns an item return job with the provided id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

id of the item return job

Responses
chevron-right
200

Returns Item Return Job with the provided id

application/json

ItemReturnJob

get
/api/itemreturnjobs/{itemReturnJobId}

Get item returns

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns the item returns matching the given parameters.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
searchTermstringOptional

Search term you want to get the corresponding item returns. Search will be performed on multiple fields, including return id, tenant order id, customer name, tenant article ids, artile titles

facilityRefsstring[]Optional

facilities to filter the results

itemReturnStatusstring[]Optional

ItemReturnStatus of an included ItemReturn to filter the results

itemReturnLineItemStatusstring[]Optional

ItemReturnLineItemStatus of an included itemReturnLineItem to filter the results

startAfterIdstringOptional

entity to start after

sizeintegerOptional

number of entities to show

Default: 25
anonymizedbooleanOptional

show anonymized entities or not

Default: false
orderBystringOptional

sorting for the results

Responses
chevron-right
200

All Item Returns matching the given parameters

application/json
anyOptional

ItemReturn

get
/api/itemreturns

Update returned line item

patch

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Patch for a ItemReturn LineItem. This is used to update the returned line item.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

id of the Item Return Job

itemReturnIdstringRequired

id of the Item Return

returnedLineItemIdstringRequired

id of the returnedLineItem

Body

ItemReturnLineItemForUpdate

itemReturnJobVersionnumberRequired

version of the overlaying itemReturnJob

Example: 42
statusstring · enumOptional

ItemReturnLineItemStatus

Possible values:
Responses
chevron-right
200

Updated ItemReturnJob

application/json

ItemReturnJob

patch
/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/returnedlineitems/{returnedLineItemId}

Create item return

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Create a new item return for an item return job

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

Id of the item return job to create the item return for

Body

AddItemReturnToItemReturnJob

itemReturnJobVersionintegerRequired

Version of the itemReturnJob the itemReturn gets added to

Responses
chevron-right
200

ItemReturnJob containing the newly created item return

application/json

ItemReturnJob

post
/api/itemreturnjobs/{itemReturnJobId}/itemreturns

Delete item return

delete

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Delete an item return from an item return job

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

id of the item return job to delete the item return for

itemReturnIdstringRequired

id of the item return you want to delete

Query parameters
itemReturnJobVersionnumberRequired

version of the item return job to delete the item return for

Responses
chevron-right
200

item return was found and successfully deleted. Updated item return job is returned.

application/json

ItemReturn

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobjectOptional

Attributes that can be added to the entity. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

idstringRequired
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
parcelRefsstring[]Optional

references the parcel

Example: 672f3f72-b5d3-47c7-941c-9af5348e3cd7
returnFacilityRefstringRequired
scannableCodesstring[]Optional
statusstring · enumRequired

ItemReturnStatus

Possible values:
tenantOrderIdstringOptional
delete
/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}

Get pack job return note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packJobIdstringRequired

ID of the PackJob

Query parameters
localestringOptional

Provide the localized values for the delivery note. If not provided the default locale is used. For example de_DE.

Responses
chevron-right
200

Returns a return note for the packjob.

application/pdf
get
/api/packjobs/{packJobId}/returnnote

Get pick job return note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
pickjobIdstringRequired

ID of the Pickjob

Responses
chevron-right
200

Returns a return note for the pickjob.

application/pdf
get
/api/pickjobs/{pickjobId}/returnnote

Create item return job

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Creates a new item return job.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ItemReturnJobForCreation

customAttributesobjectOptional

Attributes that can be added to the entity. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

originFacilityRefsstring[]Required
processRefstringOptional
scannableCodesstring[]Optional
shortIdstringOptional

A short identifier that helps assigning a item return job to a customer. This is automatically created during creation.

Example: AS12
statusstring · enumRequired

ItemReturnJobStatus

Possible values:
tenantOrderIdstringOptional
Responses
chevron-right
200

Created entity

application/json

ItemReturnJob

post
/api/itemreturnjobs

Create item return parcel

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns all parcels for an itemReturn.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

itemReturnJobId

itemReturnIdstringRequired

id of the itemReturn to create a parcel for

Body

ParcelForCreation

carrierProductstringOptional

Desired product of given carrier to choose when ordering a label

Example: EXPRESS
carrierRefstringOptional

references the carrier to be used for sending. Can not be set when creating a parcel for an existing shipment.

customAttributesobjectOptional

Attributes that can be added to the parcel. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

customProductValuenumberOptional

Set this value if you want to overwrite the calculated product value of the parcel.

Example: 12.5
loadUnitRefsstring[]Optional

Reference to array of load unit Refs

productValuenumberOptional

Monetary value of all goods in this parcel. Needed for sending cross border packages (customs) To be interpreted as money in the currency given under paymentInformation.currency. This value is calculated from the items in the parcel.

Example: 12.5
productValueTypestring · enumOptional

ProductValueType

Example: INSURANCEPossible values:
shortIdstringOptionalExample: AA12-1
statusstring · enumOptional

ParcelStatus

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
tenantParcelIdstringOptional

Tenant specific parcel id, needs to be unique for non obsolete or canceled parcel

Example: MY-PARCEL-12345
Responses
post
/api/itemreturnjobs/{itemReturnJobId}/itemreturns/{itemReturnId}/parcels

Call item return job action

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Applies an action to an Item Return Job. Check ItemReturnJobActionsParameters for available actions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
itemReturnJobIdstringRequired

id of the Item Return Job

Body

ItemReturnJobActionsParameter

or
or
or
or
Responses
chevron-right
200

Updated entity

application/json

ItemReturnJob

post
/api/itemreturnjobs/{itemReturnJobId}/actions

Update returns config

put

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Updates the return configuration for the tenant. If no configuration exists, it will be created.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ReturnConfiguration

Responses
chevron-right
200

The return configuration was successfully updated.

application/json

LocalizedReturnConfiguration

put
/api/configurations/return

Get parcel return note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
parcelIdstringRequired

ID of parcel you want to retrieve returnNote for

Query parameters
localestringOptional

Provide the localized values for the returnNote. If not provided the default locale is used. For example de_DE.

Responses
chevron-right
200

Get delivery note as pdf.

application/pdf

ReturnNote

qrCodeContentstringOptional
get
/api/parcels/{parcelId}/returnnote

Last updated